package com.neusoft.smart.pos.promotion.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum PromotionErrorCode implements CommonCode {
	
	MEMBER_CARD_NOT_EXIST("20001", "会员卡不存在"),
	PAYMENT_PROMOTION_DUPLICATION ("20002", "支付营销优惠重复");
	
	private String code;
	
	private String message;
	
	private PromotionErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}
	
}
